summaryrefslogtreecommitdiff
path: root/tests/mv/atomic
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/atomic')
-rwxr-xr-xtests/mv/atomic8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/mv/atomic b/tests/mv/atomic
index 1fa07360f..728bbfa1f 100755
--- a/tests/mv/atomic
+++ b/tests/mv/atomic
@@ -1,7 +1,7 @@
#!/bin/sh
# ensure that mv doesn't first unlink its destination in one particular case
-# Copyright (C) 2006, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2007 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -55,6 +55,12 @@ if test "$skip" = 1; then
(exit 77); exit 77
fi
+strace -qe unlink echo > /dev/null 2>&1 || skip=1
+if test "$skip" = 1; then
+ echo "$0: strace doesn't work, so skipping this test" 1>&2
+ (exit 77); exit 77
+fi
+
fail=0
strace -qe unlink mv -T s1 s2 > out 2>&1 || fail=1